import { IEventBus } from "../../utils/EventBus";
import { IWalletConnectModalData } from './wallet-connect-modal.types';
export declare class WalletConnectModal {
    hostElement: HTMLElement;
    private eventBus;
    data: IWalletConnectModalData;
    qrCodeSvg: string;
    getEventBus(): Promise<IEventBus>;
    generateSVG(): Promise<any>;
    onDataChange(data: IWalletConnectModalData): void;
    render(): any;
    close(props?: {
        isUserClick: boolean;
    }): void;
    private dataUpdate;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
